WordPress.org

Ready to get started?Download WordPress

Forums

Is it compatible with all plugins? (3 posts)

  1. dsvakola
    Member
    Posted 1 year ago #

    Is this new update of WP is compatible with all the plugins and themes that are available on WP itself?

    Because I am now frustrated with these updates. I understand the importance of updates, but if I keep this current version of WP on my site http://vsagar.ccom, will it be ok?

    Last time when I updated to 3.4.1, it made me panic.

    Many plugins were not working, and the visitors (around 2000 per day), were also complaining about the problems of data displayed on the site.

    So I had to spend a couple of hours, to corner the things...

    Please explain...your post on this updates appears to be rather incomplete regarding the details of these updates...

  2. s_ha_dum
    Member
    Posted 1 year ago #

    Is this new update of WP is compatible with all the plugins and themes that are available on WP itself?

    Not likely, and probably not possible. Read the compatibility information for the plugins you have installed.

    Because I am now frustrated with these updates.

    I agree. I wish WordPress had a development philosphy and development cycle more like CentOS.

    I understand the importance of updates, but if I keep this current version of WP on my site http://vsagar.ccom, will it be ok?

    For awhile... the longer a WordPress version is in the wild the longer hackers have to figure out ways to exploit it. You can't really stick with a release forever.

    My suggestion: Never update a live (and successful) site without testing the update on a local server with a dummy database.

  3. Andy McIlwain
    Member
    Posted 1 year ago #

    Many updates, like the recent 3.4.2 release, are security and performance related. It's considered best practice to keep your version of WordPress up-to-date.

    If you want more info about what was changed in the latest release, you can check the WordPress trac resolution list.

    Regarding plugin and theme compatibility: It's the responsibility of the plugin and theme authors to make sure their code works with the latest versions of WordPress.

    If you're worried about something breaking, I suggest setting up a second WordPress installation for testing updates. This post from WPMU.org covers some methods for creating a test environment.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.